Bug 998218 - Obsolete dep on obexd
Obsolete dep on obexd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluedevil (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 07:06 EDT by Kalev Lember
Modified: 2013-12-27 21:10 EST (History)
6 users (show)

See Also:
Fixed In Version: bluedevil-2.0.0-0.11.rc1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 21:10:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-08-18 07:06:43 EDT
I've noticed that bluedevil has an dependency on 'obexd'. The standalone obexd is discontinued upstream and BlueZ 5 now ships with a org.bluez.obex service as a replacement.

Please check if bluedevil 2.0 needs 'obexd' and drop the dep if not. Easiest is probably to grep for 'org.openobex.client' (the old obexd dbus service name) in the source.
Comment 1 Rex Dieter 2013-08-18 16:19:58 EDT
It still does reference org.bluez.obex , but the upstream bluedevil maintainer  (afiestas) tells me he plans on working on it to use the newer one soon (and be completed by September sometime, hopefully)
Comment 2 Fedora End Of Life 2013-09-16 12:35:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Rex Dieter 2013-12-12 07:52:11 EST
%changelog
* Thu Dec 12 2013 Rex Dieter <rdieter@fedoraproject.org>
- 2.0.0-0.6.20131128
- Obsolete dep on obexd (#998218)
- noarch -devel subpkg
Comment 4 Fedora Update System 2013-12-19 12:34:55 EST
bluedevil-2.0.0-0.7.20131128.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bluedevil-2.0.0-0.7.20131128.fc20
Comment 6 Fedora Update System 2013-12-27 21:10:26 EST
bluedevil-2.0.0-0.11.rc1.fc20, libbluedevil-2.0-0.6.rc1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.